> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dakota.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates API

> This endpoint requires an Oauth-Token obtained from /oauth2

## How to Use

1. **Copy** any of the JSON examples below.
2. **Go to the API playground** by clicking on the **"Try it"** button.
3. **Paste** the JSON into the request body field.
4. **Click "Send"** button to execute the request.

## Examples

### Count Updates Records

```json theme={null}
{
  "module": "updates",
  "count_only": true
}
```

### List All Updates Records

```json theme={null}
{
  "module": "updates"
}
```

### List Updates Records with Specific Fields

```json theme={null}
{
  "module": "updates",
  "filters": {
    "fields": [
      "sfid",
      "name",
      "type__c",
      "field_name__c",
      "contact__c",
      "contact_name__c",
      "account__c",
      "job_change__c",
      "role_change__c",
      "last_updated_date__c",
      "createddate",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}
```

### Filter by Type

```json theme={null}
{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "type__c": {
          "$equals": "Marketplace Data Updates"
        }
      }
    ]
  }
}
```

### Filter by Contact

```json theme={null}
{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "contact__c": {
          "$equals": "003QU00001LEjjrYAD"
        }
      }
    ],
    "fields": ["sfid", "name", "type__c", "field_name__c", "contact__c", "contact_name__c"]
  }
}
```

### Filter by Field Name

```json theme={null}
{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "field_name__c": {
          "$equals": "Account"
        }
      }
    ]
  }
}
```

### Filter by Job Change

```json theme={null}
{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "job_change__c": {
          "$equals": true
        }
      }
    ]
  }
}
```

### Filter by Last Updated Date Range

```json theme={null}
{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "last_updated_date__c": {
          "$between": ["2026-06-01", "2026-06-30"]
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml POST /index.php/api/dakota
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://marketplace-as-a-service.herokuapp.com
security: []
paths:
  /index.php/api/dakota:
    post:
      description: This endpoint requires an Oauth-Token obtained from /oauth2
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              description: >-
                Copy any of the JSON examples and paste it into the request body
                field.
            example: <JSON example>
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: apiKey
      in: header
      name: Oauth-Token
      description: >-
        Get the OAuth token by calling the /oauth2 authentication API. Use the
        access_token from the response to authorize your API requests.

````